<?
header('Cache-Control: no-store, no-cache, must-revalidate');	// 
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );

echo "<title>-=Магазин подарков=-</title>";
echo "<link rel=\"../shortcut icon\" href=\"../favicon.ico\">";
echo "<meta http-equiv=\"refresh\" content=\"{$avr}\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo ".cp { border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }";
echo "form { margin: 0px; }a:hover { text-decoration: none;  font-size: 15px; color: red }";
echo "</style>";
echo "</head>";
echo "<body>\n";
if(empty($tyu))$tyu="left";
if(empty($title))$title="Магазин";

echo "$div1<b>Магазин</b>$div9";

$re =mysql_fetch_array(mysql_query("Select posts,status,login,postmag from users where id='$id' LIMIT 1;"));
$row =mysql_fetch_array(mysql_query("Select nik,status,objav,top,vstrecha from kurs where id='1' LIMIT 1;"));
$post= $re["posts"];
$postmag= $re["postmag"];
$nik= $row["nik"];
$login= $re["login"];
$status= $row["status"];
$objav= $row["objav"];
$top= $row["top"];
$vstrecha= $row["vstrecha"];
$time=date ("H:i");
switch($mode) {
default:
if($ver=="xhtml"){ echo "</div><div class=\"zero\">";}

echo "<b>[Продавец]</b>[$time]&gt;$login,Дoбpo пoжaлoвaть в магазин!<br />\n";
echo"У вас постов: <font color='green'><b>$post</b></font><br/>";
echo "На эти посты вы можете купить:<br />\n";
echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=topic\">Топик в комнате</a> ($top постов)<br/>\n";
echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=status\">Особый Статус</a> ($status постов)<br/>\n";
echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=nik\">Новый ник</a> ($nik постов)<br/>\n";
echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=vstrecha\">Встречу</a> ($vstrecha постов)<br/>\n";




break;
case'topic':
echo"<b>Выбирите Комнату,в которой вы хотите изменить топик</b>:<br />";
$re =mysql_fetch_array(mysql_query("Select posts,status,login from users where id='$id' LIMIT 1;"));
$top= $row["top"];
$post= $re["posts"];
echo $fsize1;
echo"У вас постов: <font color='green'><b>$post</b></font><br/>";
if ($post<$top){echo"Для изменения топика необходимо иметь <font color='green'><b>$top постов</b></font><br/>";
echo"Приходите попозже!<br/>";
}
else
{
$q = mysql_query("select rm,name from rooms");
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"top.php?$ses&amp;ref=$ref&amp;rm=".$arr['rm']."\">".$arr['rm'].". ".$arr['name']."</a><br/>";
echo $fsize2;
}
}
break;
case'status':
echo"Особый статус ;)<br />";
$stat= $re["status"];
$status= $row["status"];
$post= $re["posts"];
if ($post<$status){echo"Чтобы купить себе статус вам нужно иметь <font color='green'><b>$status </b></font><br/>";
echo"У вас постов: <font color='green'><b>$post</b></font><br/>";
echo"Ваш статус: <font color='blue'>$stat</font><br/>";
}
else
{
$stat= $re["status"];
echo "<form method=\"post\" action=\"mag.php?$ses&amp;ref=$ref&amp;mode=status_set\">\n";
echo "Статус:<br/><input name=\"stat\" class=\"form\" value=\"$stat\" type=\"text\" /><br/>\n";
echo "<input value=\"Изменить\" class=\"ibutton\" type=\"submit\" />\n";
echo "</form>\n";
}
break;
case'status_set':
$status= $row["status"];
$post= $re["posts"];
$stat = check($stat);
if($stat==''){echo"ERROR<br/>";

echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=status\">Особый Статус</a><br/>\n";
}
else if ($post<$status){

echo"Недостаточно средств!<br/>";

echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=status\">Особый Статус</a><br/>\n";
}
else
{
 if(@mysql_query("update `users` set status='$stat'  WHERE `id` = '".$id."';"))
 {
$fi = fopen("log/statlog.dat", "a+");
$dat = date ("~d F в H:i~");
$dat = str_replace("January","Января",$dat);
$dat = str_replace("February","Февраля",$dat);
$dat = str_replace("March","Марта",$dat);
$dat= str_replace("April","Апреля",$dat);
$dat = str_replace("May","Мая",$dat);
$dat = str_replace("June","Июня",$dat);
$dat = str_replace("July","Июля",$dat);
$dat = str_replace("August","Августа",$dat);
$dat = str_replace("September","Сентября",$dat);
$dat = str_replace("October","Октября",$dat);
$dat = str_replace("November","Ноября",$dat);
$dat = str_replace("December","Декабря",$dat);
$lst = "$dat -<b>".$re["login"]."</b> Изменил Статус на <b>".$stat."</b>, Его  ip: $REMOTE_ADDR, Браузер: $HTTP_USER_AGENT<br/>";
fwrite($fi, "$divide");
fwrite($fi, "$lst\n");
fflush($fi);
fclose($fi);
 $postmag= $re["postmag"];
 $mpostmag=$postmag+$status;
 $mpost=$post-$status;
 mysql_query("update `users` set posts='$mpost',postmag='$mpostmag'  WHERE `id` = '".$id."';");
 echo"Статус успешно изменён!<br/>";
 echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=status\">Особый Статус</a><br/>\n";
 }

}

break;
//////////////НИК////////////////
case'nik':
echo"Изменить ник:<br />";
$login= $re["login"];
$nik= $row["nik"];
if ($post<$nik){echo"<b>$login</b>, чтобы изменить свой ник вам нужно иметь <font color='green'><b>$nik постов</b></font><br/>";
echo"У вас постов: <font color='green'><b>$post</b></font><br/>";
}
else
{
$login2= $re["login"];
echo "<form method=\"post\" action=\"mag.php?$ses&amp;ref=$ref&amp;mode=nik_set\">\n";
echo "Ник:<br/><input name=\"login2\" class=\"form\" value=\"$login2\" type=\"text\" /><br />\n";
echo "<input value=\"Изменить\" class=\"ibutton\" type=\"submit\" />\n";
echo "</form>\n";
}
break;
case'nik_set':
$post = $re["posts"];
$nik= $row["nik"];
$login2 = check($login2);
if($login2==''){echo"ERROR<br/>";

echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=nik\">Изменить ник</a><br/>\n";
}
else if ($post<$nik){

echo"Недостаточно средств!<br/>";

echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=nik\">Изменить ник</a><br/>\n";
}
else
{
 if(@mysql_query("update `users` set login='$login2'  WHERE `id` = '".$id."';"))
 {
 $fi = fopen("log/niklog.dat", "a+");
$dat = date ("~d F в H:i~");
$dat = str_replace("January","Января",$dat);
$dat = str_replace("February","Февраля",$dat);
$dat = str_replace("March","Марта",$dat);
$dat= str_replace("April","Апреля",$dat);
$dat = str_replace("May","Мая",$dat);
$dat = str_replace("June","Июня",$dat);
$dat = str_replace("July","Июля",$dat);
$dat = str_replace("August","Августа",$dat);
$dat = str_replace("September","Сентября",$dat);
$dat = str_replace("October","Октября",$dat);
$dat = str_replace("November","Ноября",$dat);
$dat = str_replace("December","Декабря",$dat);
$lst = "$dat -<b>".$re["login"]."</b> Изменил Ник на <b>".$login2."</b>, Его  ip: $REMOTE_ADDR, Браузер: $HTTP_USER_AGENT<br/>";
fwrite($fi, "$divide");
fwrite($fi, "$lst\n");
fflush($fi);
fclose($fi);
 $postmag= $re["postmag"];
 $mpostmag=$postmag+$nik;
 $mpost=$post-$nik;
 mysql_query("update `users` set posts='$mpost',postmag='$mpostmag'  WHERE `id` = '".$id."';");
 echo"Ваш ник успешно изменён на <b>$login2</b>!<br/>";
 echo "<a href=\"mag.php?$ses&amp;ref=$ref&amp;mode=nik\">Изменить ник</a><br/>\n";
 }

}

break;

case'vstrecha':
$post= $re["posts"];
$vstrecha= $row["vstrecha"];
if ($post<$vstrecha){echo"Чтобы добавить встречу вам нужно иметь <font color='green'><b>$vstrecha постов</b></font><br/>";
echo"У вас постов: <font color='green'><b>$post</b></font><br/>";
}
else
{
echo "Добавить встречу:<br />\n";
$title1 = check($title1);
$content = check($content);
$organizatory = check($organizatory);
if(empty($title1)) $error=$error."<u>Название не введено!</u><br/>";
if(empty($content)) $error=$error."<u>Пустое содержание встречи!</u><br/>";
if(empty($organizatory)) $error=$error."<u>Организаторов нет!</u><br/>";
if(empty($action)) {

if ($ver=="wml"){
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input name=\"title1\"/><br/>";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input name=\"content\"/><br/>";
echo $fsize1;
echo "Организаторы:<br/>";
echo $fsize2;
echo "<input name=\"organizatory\"/><br/>";
echo $fsize1;
echo "<anchor>Добавить<go href=\"mag.php?$ses&amp;ref=$ref&amp;mode=vstrecha\" method=\"post\">";
echo "<postfield name=\"action\" value=\"add\"/>";
echo "<postfield name=\"title1\" value=\"$(title1)\"/>";
echo "<postfield name=\"content\" value=\"$(content)\"/>";
echo "<postfield name=\"organizatory\" value=\"$(organizatory)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<form method=\"POST\" action=\"mag.php?$ses&amp;ref=$ref&amp;mode=vstrecha\" name=\"auth\">\n";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>\n";
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"title1\" value=\"$title1\"/><br/>\n";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"content\" value=\"$content\"/><br/>\n";
echo $fsize1;
echo "Организаторы:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"organizatory\" value=\"$organizatory\"/><br/>\n";
echo "<input type=\"submit\" class=\"ibutton\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
}else{
if(empty($error)) {
if($title1!=$last_meet['title']) {
if(mysql_query("insert into vstrechi values(0,'".$login."','".$title1."','".$content."','".$organizatory."');")) {




$post= $re["posts"];
$vstrecha= $row["vstrecha"];
$postmag= $re["postmag"];
$mpostmag=$postmag+$vstrecha;
$mpost=$post-$vstrecha;
 mysql_query("update `users` set posts='$mpost',postmag='$mpostmag'  WHERE `id` = '".$id."';");
echo $fsize1;
echo "<b>Ваша встреча успешно добавлена!</b><br/>";
echo $fsize2;
} else {
echo $fsize1;
echo "<b>Проблемы с базой данных!</b><br/>";
echo $fsize2;
}
} else {
echo $fsize1;
echo "<b>Такая встреча уже добавлена!</b><br/>";
echo $fsize2;
}
} else {
echo $fsize1;
echo $error;
echo $fsize2;
}
}
}
break;
///////////////////////
}

echo "$div1<a href=\"mag.php?$ses&amp;ref=$ref\">Магазин</a>$div9\n";
echo "$div1<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>$div9 $div7\n";
if ($ver=="wml")echo "<a href=\"?ver=xhtml&amp;id=$id&amp;ps=$ps&amp;url=$url&amp;ref=$ref\">HTML</a>WML<br/>";
else if ($ver=="xhtml")echo "$div2 HTML|<a href=\"?ver=wml&amp;id=$id&amp;ps=$ps&amp;url=$url&amp;ref=$ref\">WML</a><br />";
echo $div2;

echo $div9;
if ($ver=="wml")echo "</p></card></wml>";
else if ($ver=="xhtml") echo "</div></body></html>";
?>